org.apache.xmlgraphics.util.dijkstra

## Interface Edge

-     public interface Edge

  Represents an edge (or direct route between two points) for the `DijkstraAlgorithm`. Implement this class to hold the start and end vertex for an edge and implement the `getPenalty()` method.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Vertex` | `getEnd()` Returns the end vertex of the edge.
    `int` | `getPenalty()` Returns the penalty (or distance) for this edge.
    `Vertex` | `getStart()` Returns the start vertex of the edge.

- - ### Method Detail

    - #### getStart

          Vertex getStart()

      Returns the start vertex of the edge.
      Returns:
        the start vertex

    - #### getEnd

          Vertex getEnd()

      Returns the end vertex of the edge.
      Returns:
        the end vertex

    - #### getPenalty

          int getPenalty()

      Returns the penalty (or distance) for this edge.
      Returns:
        the penalty value (must be non-negative)

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.